Directory Traversal Affecting python3-libs package, versions *


0.0
medium

Snyk CVSS

    Attack Complexity Low
    User Interaction Required
    Integrity High
NVD
CVSS v3 N/A  medium
Expand this section
Red Hat
5.5 medium

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-CENTOS8-PYTHON3LIBS-3110876
  • published 9 Nov 2022
  • disclosed 24 Aug 2007

How to fix?

There is no fixed version for Centos:8 python3-libs.

NVD Description

Note: Versions mentioned in the description apply only to the upstream python3-libs package and not the python3-libs package as distributed by Centos:8. See How to fix? for Centos:8 relevant fixed versions and status.

Directory traversal vulnerability in the (1) extract and (2) extractall functions in the tarfile module in Python allows user-assisted remote attackers to overwrite arbitrary files via a .. (dot dot) sequence in filenames in a TAR archive, a related issue to CVE-2001-1267.